## $Id: catalog.py 12102 2014-12-01 06:46:13Z henrik $
##
## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Components to help cataloging and searching products.
"""
import grok
from waeup.ikoba.interfaces import ICompany
from waeup.ikoba.products.interfaces import IProduct

class ProductIndexes(grok.Indexes):
    """A catalog for all products.
    """
    grok.site(ICompany)
    grok.name('products_catalog')
    grok.context(IProduct)

    product_id = grok.index.Field(attribute='product_id')
